summaryrefslogtreecommitdiffstats
path: root/source/a/bash/bash.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/bash/bash.SlackBuild')
-rwxr-xr-xsource/a/bash/bash.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/a/bash/bash.SlackBuild b/source/a/bash/bash.SlackBuild
index 35f9afd2d..6e04b6a77 100755
--- a/source/a/bash/bash.SlackBuild
+++ b/source/a/bash/bash.SlackBuild
@@ -30,7 +30,7 @@ fi
PKG=$TMP/package-bash
PKGNAM=bash
-VERSION=${VERSION:-$(echo bash-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo bash-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -73,7 +73,7 @@ rm -rf $PKG
mkdir -p $PKG
# Determine bash patchlevel:
-PATCHLEVEL="$( cd $CWD/bash-${VERSION}-patches ; /bin/ls bash4?-??? | tail -1 | cut -f 2 -d - 2> /dev/null )"
+PATCHLEVEL="$( cd $CWD/bash-${VERSION}-patches ; /bin/ls bash4?-??? 2> /dev/null | tail -1 | cut -f 2 -d -)"
if [ "$PATCHLEVEL" = "" ]; then
PATCHLEVEL=000
fi
@@ -88,7 +88,7 @@ fi
cd $TMP
rm -rf bash-$VERSION
-tar xvf $CWD/bash-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/bash-$VERSION.tar.?z || exit 1
cd bash-$VERSION || exit 1
chown -R root:root .
find . -perm 664 | xargs chmod 644